Bug 473304 - DVD install of F10 fails with "Error opening /dev: Invalid argument"
DVD install of F10 fails with "Error opening /dev: Invalid argument"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 10:49 EST by Graham King
Modified: 2009-12-18 01:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:58:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hardware description (lshw output) (22.54 KB, application/octet-stream)
2008-11-27 10:49 EST, Graham King
no flags Details
Anaconda traceback (69.94 KB, text/plain)
2008-11-28 09:03 EST, Graham King
no flags Details

  None (edit)
Description Graham King 2008-11-27 10:49:41 EST
Created attachment 324896 [details]
hardware description (lshw output)

Description of problem:
Fresh install of Fedora 10 from DVD onto twin-athlon box, with hardware SATA RAID 5 array, fails with "Error opening /dev: Invalid argument".


Version-Release number of selected component (if applicable):
anaconda 11.4.1.62

How reproducible: 100%


Steps to Reproduce:
1. Boot from DVD; Select "Install or upgrade"
2. Skip media test (media previously tested OK)
3. Splash-screen <Next> ; English language <Next> ; UK keyboard <Next>
Error opening /dev: Invalid argument
4. <Retry><Retry><Retry><Retry><Cancel><Cancel><Cancel>
5. Hostname: localhost.localdomain <Next>
6. Timezone: Europe/London, system clock UTC <Next>
7. Enter root password <Next>
Error opening /dev: Invalid argument
<Retry><Retry><Retry><Retry><Cancel>
"An unhandled exception has occurred"



Additional info:
Specifying "nodmraid" at step 1 makes no difference.
I cannot reach any device (network or disk) to capture the exception report.
An old FC4 box is available on the network, in case it helps.
For detailed hardware description of the machine with the problem, see the attachment (obtained using vendor-installed Fedora 9).
Comment 1 Graham King 2008-11-28 09:03:44 EST
Created attachment 324995 [details]
Anaconda traceback

Anaconda traceback obtained via a VNC install.
Comment 2 Chris Lumens 2008-12-02 15:55:29 EST
Looks like your traceback has a couple kernel errors in it, which could very likely be the cause of hardware being missing.  Reassigning.
Comment 3 Graham King 2009-01-06 13:23:08 EST
Work round discovered:
Re-install of Fedora 9 from DVD works OK.  In the Fedora 9 installer, I repartioned the disk (2 TB hardware RAID array), creating a 200MB /boot fs, and a number of small (<20GB) ext3 logical volumes, and eliminating a large XFS LV.  Install/upgrade of Fedora 10 from DVD then works fine, including re-formatting of all the filesystems.

As a consequence, this system is no longer available for reproducing the original problem.
Comment 4 Bug Zapper 2009-11-18 04:00:19 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:58:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.